Bug 57671 - gnorpm requires outdated rpm packages
Summary: gnorpm requires outdated rpm packages
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-12-18 17:20 UTC by Need Real Name
Modified: 2007-04-18 16:38 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-26 21:07:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2001-12-18 17:20:25 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.5) Gecko/20011012

Description of problem:
rpm complains that gnorpm requires librpm-4.0.3, etc.  The current rawhide
rpm package is rpm-4.0.4-0.2.  
Perhaps gnorpm should require librpm >4.0.3? 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. I have gnorpm-0.96-1 and rpm-4.0.2-7x installed, and want to upgrade
gnorpm.  That requires an upgrade to rpm as well.
2. I downloaded both from the rawhide distro, and tried to install them.


Actual Results:  rpm returns:
  librpm-4.0.3.so   is needed by gnorpm-0.96-11
  librpmdb-4.0.3.so   is needed by gnorpm-0.96-11
  librpmio-4.0.3.so   is needed by gnorpm-0.96-11
	

Expected Results:  I expected that the files in the rawhide distro
directory would install/depend upon each other.  (I do understand that I am
dealing with Rawhide.)

Additional info:

Thanks a bunch for all the great work.

Comment 1 Havoc Pennington 2002-01-13 16:47:37 UTC
gnorpm just needs to be rebuilt in rawhide.

Comment 2 Havoc Pennington 2002-03-06 16:34:17 UTC
0.96-14 should be OK.


Note You need to log in before you can comment on or make changes to this bug.